LibreOffice LibreOffice 5.3 SDK API Reference

Classes | Modules
XBackend.idl File Reference
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/configuration/backend/XUpdateHandler.idl";`
`import "com/sun/star/configuration/backend/XLayer.idl";`
`import "com/sun/star/configuration/backend/XSchema.idl";`
`import "com/sun/star/configuration/backend/BackendAccessException.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`
`import "com/sun/star/lang/NoSupportException.idl";`

Go to the source code of this file.

## Classes
interface | XBackend
| Handles access to layered data stored in a repository. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::configuration
| Access to the tree of configuration data.
module | com::sun::star::configuration::backend
| interfaces for configuration backends.